package TableSelectEnabler::App::CMS;

use strict;

sub add_table_select_entry {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
    setFilterCol(<mt:if name="filter">'<mt:var name="filter" escape="js">'<mt:else>'none'</mt:if>);<mt:if name="filter">
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
    tableSelect = new TC.TableSelect( "<mt:if name="object_type" eq="entry">entry<mt:else>page</mt:if>-listing-table" );
    tableSelect.rowSelect = true;
    setFilterCol(<mt:if name="filter">'<mt:var name="filter" escape="js">'<mt:else>'none'</mt:if>);<mt:if name="filter">
HERE
    $$template =~ s/$old/$new/;
}

sub add_table_select_comment {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
    setFilterCol(<mt:if name="filter">'<mt:var name="filter" escape="js">'<mt:else>'none'</mt:if>);<mt:if name="filter">
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
    tableSelect = new TC.TableSelect( "comment-listing-table" );
    tableSelect.rowSelect = true;
    setFilterCol(<mt:if name="filter">'<mt:var name="filter" escape="js">'<mt:else>'none'</mt:if>);<mt:if name="filter">
HERE
    $$template =~ s/$old/$new/;
}

1;
